<?// защита
defined('SYS') or die('<center><b>Ошибка доступа!</b></center>');

// user database
$reg = simplexml_load_file(DIR.'/system/xml_data/user.xml');

// масив в котором возможно будут записаны ошибки
$err = array();

// функция для проверки
function check()
{
    global $_GET, $reg, $err;
    
    if (empty($_GET['login']) || empty($_GET['pass']) || empty($_GET['mail']))
        $err[] = 'Заполните все поля отмеченые красным цветом!';
    else
    {
        if (strlen($_GET['login']) >= 3 && strlen($_GET['login']) <= 40)
            if (preg_match('/[a-zA-Z0-9\-\_]{3, 40}/', $_GET['login']))
                $err[] = 'В поле <b>логин</b> есть недопустимые символы!';
            else
            {
                if (isset($reg->$_GET['login']))
                    $err[] = 'Логин <b>'.$_GET['login'].'</b> уже занят!';
            }
        else
            $err[] = 'Короткий или длинный <b>логин</b>!';
        if (strlen($_GET['pass']) < 7 || strlen($_GET['pass']) > 40)
            $err[] = 'Короткий или длинный <b>пароль</b>!';
        if (strlen($_GET['mail']) >= 6 && strlen($_GET['mail']) <= 60)
        {
            if (!preg_match('/([a-zA-Z0-9_\-\.])+@([a-zA-Z0-9_\-\.])+/', $_GET['mail']))
                $err[] = 'В поле <b>E-mail</b> есть недопустимые символы!';
        }
        else
            $err[] = 'Короткий или длинный <b>E-mail</b>!';
    };
}

// функция регистрации
function register()
{
    global $reg, $_GET;
    
    $reg->addChild($_GET['login']);
	
    $reg->$_GET['login']->addAttribute("pass", md5(md5($_GET['pass'])));
	
    $reg->$_GET['login']->addAttribute("mail", $_GET['mail']);
	
    $reg->$_GET['login']->addAttribute("reg_date", date('d.m.Y'));
    
    $reg->$_GET['login']->addAttribute("rang", '1');
    
    if (empty($_GET['name']))
        $_GET['name'] = 'пусто';
    $_GET['name'] = substr($_GET['name'], 0, 60);
    $_GET['name'] = htmlspecialchars($_GET['name']);
    $reg->$_GET['login']->addAttribute("name", $_GET['name']);
    
    if (empty($_GET['descript']))
        $_GET['descript'] = 'пусто';
    $_GET['descript'] = substr($_GET['descript'], 0, 200);
    $_GET['descript'] = htmlspecialchars($_GET['descript']);
    $reg->$_GET['login']->addAttribute("descript", $_GET['descript']);
	
    if (empty($_GET['address']))
        $_GET['address'] = 'пусто';
    $_GET['address'] = substr($_GET['address'], 0, 100);
    $_GET['address'] = htmlspecialchars($_GET['address']);
    $reg->$_GET['login']->addAttribute("address", $_GET['address']);
    
    if (empty($_GET['site']))
        $_GET['site'] = 'пусто';
    $_GET['site'] = substr($_GET['site'], 0, 100);
    $_GET['site'] = htmlspecialchars($_GET['site']);
    $reg->$_GET['login']->addAttribute("site", $_GET['site']);
    
    if (empty($_GET['birthday']))
        $_GET['birthday'] = 'пусто';
    $_GET['birthday'] = substr($_GET['birthday'], 0, 20);
    $_GET['birthday'] = htmlspecialchars($_GET['birthday']);
    $reg->$_GET['login']->addAttribute("birthday", $_GET['birthday']);
    
    $reg->asXML(DIR.'/system/xml_data/user.xml');
	echo '<span style="color: green;">Вы зарегистрированы!</span><br>';
}
?>